<template>
    <div>
      <h1>Id: {{ $route.params.id }}</h1>
      <p>Nombre: {{ getProductById($route.params.id.toString())?.name }}</p>
      <p>Description: {{ getProductById($route.params.id.toString())?.description }}</p>
    </div>
  </template>
  
<script lang="ts">
  import productos from '@/assets/productos.json';

  export default {
    data () { 
      return {
        productos : productos
      }
    },
    methods: {
      getProductById(id : string) {
        return this.productos.find(producto => producto.id === id);
      }
    }
  }
</script>
  